Retrieving Card Data (BIN)
Retrieves information about the issuing bank, card type, and payment system by card number.
URL
Method: GET
- Production:
https://registry.wallet.kvell.group/reg2/validation/bin
Request parameters
| Name |
Data type |
Required |
Description |
card |
string |
Yes |
Card number |
Request example
GET https://registry.wallet.kvell.group/reg2/validation/bin?card=220025******0049
| Name |
Data type |
Required |
Description |
X-Api-Key |
string |
Yes |
Unique identifier (UUID) |
Response
Response example
{
"card": "220025******0049",
"bin": "220025",
"paymentSystem": "MIR",
"bank": "SDM-BANK PUBLIC JOINT-STOCK COMPANY",
"bankPhone": "9641112233",
"bankUrl": "test.ru",
"cardType": "DEBIT",
"country": "RUSSIAN FEDERATION",
"countryCode": "RUS",
"brand": "NSPK MIR",
"message": "Valid card number",
"valid": true
}
Response parameters
| Name |
Data type |
Description |
card |
string |
Card number |
bin |
string |
Card BIN |
paymentSystem |
string |
Payment system (VISA, MASTERCARD, MIR, MAESTRO, AMEX, UNIONPAY, UNKNOWN) |
bank |
string |
Issuing bank |
bankPhone |
string |
Issuing bank's phone number |
bankUrl |
string |
Issuing bank's website |
cardType |
string |
Card type (DEBIT, CREDIT, PREPAID, UNKNOWN) |
country |
string |
Country |
countryCode |
string |
ISO3 country code |
brand |
string |
Card brand |
message |
string |
Validation result information |
valid |
boolean |
Validation status |